package view;

import javafx.scene.Group;
import javafx.scene.PerspectiveCamera;
import javafx.scene.Scene;
import javafx.scene.SceneAntialiasing;
import javafx.scene.paint.Color;

public class CustomScene {
	private final Scene scene;
	public CustomScene(Group group, PerspectiveCamera camera, SceneAntialiasing antialiasing) {
		scene = new Scene(group, 800, 500, true, antialiasing); // create scene
		scene.setFill(Color.rgb(50, 50, 50)); // background default color
		scene.setCamera(camera); // link camera to scene
	}
	public Scene get() {
		return scene;
	}
}
